### Method

# Gtk Stack add_titled

#### Declaration [src]

    GtkStackPage*
    gtk_stack_add_titled (
      GtkStack* stack,
      GtkWidget* child,
      const char* name,
      const char* title
    )

#### Description [src]

Adds a child to `stack`.

The child is identified by the `name`. The `title` will be used by `GtkStackSwitcher` to represent `child` in a tab bar, so it should be short.

#### Parameters

`child`

  Type: `GtkWidget`

  The widget to add.

  The data is owned by the caller of the method.

`name`

  Type: `const char*`

  The name for `child`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const char*`

  A human-readable title for `child`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkStackPage`

The `GtkStackPage` for `child`.

The returned data is owned by the instance.